# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile Class Reference

`#include <STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile ()
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile (const STEPCAFControl_DataMapOfPDExternFile &aMap)
Standard_EXPORT void | Initialize (const STEPCAFControl_DataMapOfPDExternFile &aMap)
Standard_EXPORT const Handle_StepBasic_ProductDefinition & | Key () const
Standard_EXPORT const Handle_STEPCAFControl_ExternFile & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile | ( |  | ) |

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile | ( | const STEPCAFControl_DataMapOfPDExternFile & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::Initialize | ( | const STEPCAFControl_DataMapOfPDExternFile & | aMap | ) |

Standard_EXPORT const Handle_StepBasic_ProductDefinition& STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::Key | ( |  | ) | const

void STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapIteratorOfDataMapOfPDExternFile.hxx